main();
function main() {

    if (app.selection.length === 0) {
        alert("Please select pathItem and try again");
        return;
    }
    
    var Doc = app.activeDocument;
    var obj = app.selection[0];
    var dataCode = "data = [];";
    for (i=0, iLen = obj.pathPoints.length; i<iLen; i++ ) {
        var p = obj.pathPoints[i];
        var tmp = [p.anchor.toSource(), p.leftDirection.toSource(), p.pointType, p.rightDirection.toSource()];
        dataCode = dataCode + "\r" + "data.push([" + tmp.join(", ") + "]);";
    }
    dataCode = drawNewPathItem.toSource().replace("//...Paste your code here", dataCode);
    dataCode = dataCode.replace(/  +/gi, "\r");
    dataCode = dataCode.replace(/(^\(|\)$)/gi, "");
    showAlertScroll("", dataCode);

    function showAlertScroll (title, input) {
        var myWindow = new Window ("dialog", title);
        var myList = myWindow.add ("edittext", undefined, input, {multiline: true, scrolling: true});
        myList.maximumSize.height = 700;
        myList.maximumSize.width = myWindow.maximumSize.width;
        myList.minimumSize.height = 10;
        myList.minimumSize.width = 1200;
        myWindow.add ("button", undefined, "Ok", {name: "Ok"});
        myWindow.show();
    }
    
function drawNewPathItem() {
    var newPath = Doc.pathItems.add();
    data = [];
    // [anchor, leftDirection, pointType, rightDirection]
    //...Paste your code here
    for (i=0, iLen = data.length; i<iLen; i++ ) {
        var dat = data[i];
        var p = newPath.pathPoints.add();
        p.anchor = dat[0];
        p.leftDirection = dat[1];
        p.pointType = dat[2];
        p.rightDirection = dat[3];
    }
    newPath.closed = true;
    return newPath;
}
    
}    

